SPHINCSKeyParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.sphincs

## Class SPHINCSKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.pqc.crypto.sphincs.SPHINCSKeyParameters

- All Implemented Interfaces:
    CipherParameters
  Direct Known Subclasses:
    SPHINCSPrivateKeyParameters, SPHINCSPublicKeyParameters

      public class SPHINCSKeyParameters
      extends AsymmetricKeyParameter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SHA3_256` Use SHA3-256 for the tree generation function.
    `static java.lang.String` | `SHA512_256` Use SHA512-256 for the tree generation function.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SPHINCSKeyParameters(boolean isPrivateKey, java.lang.String treeDigest)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getTreeDigest()`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SHA512_256

          public static final java.lang.String SHA512_256

      Use SHA512-256 for the tree generation function.
      See Also:
        Constant Field Values

    - #### SHA3_256

          public static final java.lang.String SHA3_256

      Use SHA3-256 for the tree generation function.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SPHINCSKeyParameters

          protected SPHINCSKeyParameters(boolean isPrivateKey,
                                         java.lang.String treeDigest)

  - ### Method Detail

    - #### getTreeDigest

          public java.lang.String getTreeDigest()